
From: William Lee Irwin III <wli@holomorphy.com>

smp_reschedule_irq() mysteriously vanished sometime after 2.4.  This patch
reinstates it so that the kernel will link properly and so cpus will set
TIF_NEED_RESCHED when it's asked of them.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sparc/kernel/smp.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN arch/sparc/kernel/smp.c~sparc32-reinstate-smp_reschedule_irq arch/sparc/kernel/smp.c
--- 25/arch/sparc/kernel/smp.c~sparc32-reinstate-smp_reschedule_irq	2004-08-04 22:37:35.963895624 -0700
+++ 25-akpm/arch/sparc/kernel/smp.c	2004-08-04 22:37:35.966895168 -0700
@@ -203,6 +203,11 @@ void smp_flush_tlb_page(struct vm_area_s
 	}
 }
 
+void smp_reschedule_irq(void)
+{
+	set_need_resched();
+}
+
 void smp_flush_page_to_ram(unsigned long page)
 {
 	/* Current theory is that those who call this are the one's
_
